Retrieve a setup token
curl --request GET \
--url https://api-m.sandbox.paypal.com/v3/vault/setup-tokens/{id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"customer": {
"id": "<string>",
"merchant_customer_id": "<string>"
},
"status": "CREATED",
"payment_source": {
"card": {
"name": "<string>",
"last_digits": "<string>",
"expiry": "<string>",
"billing_address": {
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"admin_area_2": "<string>",
"admin_area_1": "<string>",
"postal_code": "<string>",
"id": "<string>"
},
"verification": {
"network_transaction_id": "<string>",
"date": "<string>",
"time": "<string>",
"amount": {
"currency_code": "<string>",
"value": "<string>"
},
"processor_response": {},
"three_d_secure": "<unknown>"
},
"network_transaction_reference": {
"id": "<string>",
"date": "<string>",
"time": "<string>"
},
"authentication_result": {
"three_d_secure": {
"authentication_id": "<string>"
}
},
"bin_details": {
"bin": "<string>",
"issuing_bank": "<string>",
"bin_country_code": "<string>",
"products": [
"<string>"
]
}
},
"paypal": {
"description": "<string>",
"shipping": {
"name": {
"full_name": "<string>"
},
"phone_number": {
"country_code": "<string>",
"national_number": "<string>"
},
"address": {
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"admin_area_2": "<string>",
"admin_area_1": "<string>",
"postal_code": "<string>"
}
},
"permit_multiple_payment_tokens": false,
"email_address": "<string>",
"payer_id": "<string>",
"name": {
"given_name": "<string>",
"surname": "<string>"
},
"phone": {
"phone_number": {
"national_number": "<string>"
}
},
"address": {
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"admin_area_2": "<string>",
"admin_area_1": "<string>",
"postal_code": "<string>"
},
"account_id": "<string>",
"phone_number": {
"country_code": "<string>",
"national_number": "<string>",
"extension_number": "<string>"
}
},
"venmo": {
"description": "<string>",
"shipping": {
"name": {
"full_name": "<string>"
},
"phone_number": {
"country_code": "<string>",
"national_number": "<string>"
},
"address": {
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"admin_area_2": "<string>",
"admin_area_1": "<string>",
"postal_code": "<string>"
}
},
"permit_multiple_payment_tokens": false,
"email_address": "<string>",
"payer_id": "<string>",
"name": {
"given_name": "<string>",
"surname": "<string>"
},
"phone": {
"phone_number": {
"national_number": "<string>"
}
},
"address": {
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"admin_area_2": "<string>",
"admin_area_1": "<string>",
"postal_code": "<string>"
},
"user_name": "<string>"
}
},
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}Retrieve a setup token
Returns a readable representation of temporarily vaulted payment source associated with the setup token id.
GET
/
v3
/
vault
/
setup-tokens
/
{id}
Retrieve a setup token
curl --request GET \
--url https://api-m.sandbox.paypal.com/v3/vault/setup-tokens/{id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"customer": {
"id": "<string>",
"merchant_customer_id": "<string>"
},
"status": "CREATED",
"payment_source": {
"card": {
"name": "<string>",
"last_digits": "<string>",
"expiry": "<string>",
"billing_address": {
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"admin_area_2": "<string>",
"admin_area_1": "<string>",
"postal_code": "<string>",
"id": "<string>"
},
"verification": {
"network_transaction_id": "<string>",
"date": "<string>",
"time": "<string>",
"amount": {
"currency_code": "<string>",
"value": "<string>"
},
"processor_response": {},
"three_d_secure": "<unknown>"
},
"network_transaction_reference": {
"id": "<string>",
"date": "<string>",
"time": "<string>"
},
"authentication_result": {
"three_d_secure": {
"authentication_id": "<string>"
}
},
"bin_details": {
"bin": "<string>",
"issuing_bank": "<string>",
"bin_country_code": "<string>",
"products": [
"<string>"
]
}
},
"paypal": {
"description": "<string>",
"shipping": {
"name": {
"full_name": "<string>"
},
"phone_number": {
"country_code": "<string>",
"national_number": "<string>"
},
"address": {
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"admin_area_2": "<string>",
"admin_area_1": "<string>",
"postal_code": "<string>"
}
},
"permit_multiple_payment_tokens": false,
"email_address": "<string>",
"payer_id": "<string>",
"name": {
"given_name": "<string>",
"surname": "<string>"
},
"phone": {
"phone_number": {
"national_number": "<string>"
}
},
"address": {
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"admin_area_2": "<string>",
"admin_area_1": "<string>",
"postal_code": "<string>"
},
"account_id": "<string>",
"phone_number": {
"country_code": "<string>",
"national_number": "<string>",
"extension_number": "<string>"
}
},
"venmo": {
"description": "<string>",
"shipping": {
"name": {
"full_name": "<string>"
},
"phone_number": {
"country_code": "<string>",
"national_number": "<string>"
},
"address": {
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"admin_area_2": "<string>",
"admin_area_1": "<string>",
"postal_code": "<string>"
}
},
"permit_multiple_payment_tokens": false,
"email_address": "<string>",
"payer_id": "<string>",
"name": {
"given_name": "<string>",
"surname": "<string>"
},
"phone": {
"phone_number": {
"national_number": "<string>"
}
},
"address": {
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"admin_area_2": "<string>",
"admin_area_1": "<string>",
"postal_code": "<string>"
},
"user_name": "<string>"
}
},
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}Authorizations
Oauth 2.0 authentication
Path Parameters
ID of the setup token.
Required string length:
7 - 36Pattern:
^[0-9a-zA-Z_-]+$Response
Found requested setup-token, returned a payment method associated with the token.
Minimal representation of a cached setup token.
The PayPal-generated ID for the vault token.
Required string length:
1 - 36Pattern:
^[0-9a-zA-Z_-]+$This object defines a customer in your system. Use it to manage customer profiles, save payment methods and contact details.
Show child attributes
Show child attributes
The status of the payment token.
Available options:
CREATED, PAYER_ACTION_REQUIRED, APPROVED, VAULTED, TOKENIZED Required string length:
1 - 255Pattern:
^[0-9A-Z_]+$The setup payment method details.
Show child attributes
Show child attributes
Was this page helpful?
⌘I